using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using IvanKuzminExam;

namespace IvanKuzminExam.Tests
{
    //     DLL   
    [TestClass]
    public class NumberAnalysisTester
    {
        //       
        //       
        [TestMethod]
        public void ConstructorTest()
        {
            NumberAnalysis numberAnalysis = new NumberAnalysis(4);

            Assert.AreEqual(4, numberAnalysis.Number);
        }


        //    IsPositive()
        [TestMethod]
        public void IsPositiveTest()
        {
            NumberAnalysis numberAnalysis = new NumberAnalysis(4);
            Assert.IsTrue(numberAnalysis.IsPositive());

            numberAnalysis = new NumberAnalysis(-4);
            Assert.IsFalse(numberAnalysis.IsPositive());
        }

        //    IsNegative()
        [TestMethod]
        public void IsNegativeTest()
        {
            NumberAnalysis numberAnalysis = new NumberAnalysis(-4);
            Assert.IsTrue(numberAnalysis.IsNegative());

            numberAnalysis = new NumberAnalysis(4);
            Assert.IsFalse(numberAnalysis.IsNegative());
        }

        //    IsZero()
        [TestMethod]
        public void IsZeroTest()
        {
            NumberAnalysis numberAnalysis = new NumberAnalysis(0);
            Assert.IsTrue(numberAnalysis.IsZero());

            numberAnalysis = new NumberAnalysis(4);
            Assert.IsFalse(numberAnalysis.IsZero());
        }

        //    IsEven()
        [TestMethod]
        public void IsEvenTest()
        {
            NumberAnalysis numberAnalysis = new NumberAnalysis(0);
            Assert.IsTrue(numberAnalysis.IsEven());

            numberAnalysis = new NumberAnalysis(-2);
            Assert.IsTrue(numberAnalysis.IsEven());

            numberAnalysis = new NumberAnalysis(2);
            Assert.IsTrue(numberAnalysis.IsEven());

            numberAnalysis = new NumberAnalysis(3);
            Assert.IsFalse(numberAnalysis.IsEven());

            numberAnalysis = new NumberAnalysis(-13);
            Assert.IsFalse(numberAnalysis.IsEven());
        }

        //    IsPrime()
        //      (   )  
        [TestMethod]
        public void IsPrimeTest()
        {
            NumberAnalysis numberAnalysis = new NumberAnalysis(7);
            Assert.IsTrue(numberAnalysis.IsPrime());

            numberAnalysis = new NumberAnalysis(11);
            Assert.IsTrue(numberAnalysis.IsPrime());

            numberAnalysis = new NumberAnalysis(14);
            Assert.IsFalse(numberAnalysis.IsPrime());

            numberAnalysis = new NumberAnalysis(49);
            Assert.IsFalse(numberAnalysis.IsPrime());
        }
    }
}